# Poco::Net

# class ServerSocketImpl

Library: Net
Package: Sockets
Header: Poco/Net/ServerSocketImpl.h

## Description

This class implements a TCP server socket.

## Inheritance

Direct Base Classes: SocketImpl

All Base Classes: SocketImpl, Poco::RefCountedObject

Known Derived Classes: SecureServerSocketImpl

## Member Summary

Inherited Functions: acceptConnection, address, available, bind, close, connect, connectNB, duplicate, error, getBlocking, getBroadcast, getKeepAlive, getLinger, getNoDelay, getOOBInline, getOption, getRawOption, getReceiveBufferSize, getReceiveTimeout, getReuseAddress, getReusePort, getSendBufferSize, getSendTimeout, init, initSocket, initialized, ioctl, lastError, listen, peerAddress, poll, receiveBytes, receiveFrom, referenceCount, release, reset, sendBytes, sendTo, sendUrgent, setBlocking, setBroadcast, setKeepAlive, setLinger, setNoDelay, setOOBInline, setOption, setRawOption, setReceiveBufferSize, setReceiveTimeout, setReuseAddress, setReusePort, setSendBufferSize, setSendTimeout, shutdown, shutdownReceive, shutdownSend, socketError, sockfd

## Constructors

### ServerSocketImpl

ServerSocketImpl();

Creates the ServerSocketImpl.

## Destructor

### ~ServerSocketImpl

virtual ~ServerSocketImpl();

Destroys the ServerSocketImpl.